@import "@/assets/scss/global.scss";

.payment-method {
    max-width: 760px;
    margin: 0 auto;
    gap: 24px;

    h5 {
        font-weight: 700;
        font-size: 16px;
        line-height: 24px;
        color: #EF4E2B;
        margin-bottom: 10px;
    }

    .list {
        .item {
            padding: 10px;
            background: #FFFFFF;
            border: 1px solid #E2E5F2;
            border-radius: 12px;
            display: flex;
            flex-direction: row;
            align-items: center;
            gap: 12px;
            cursor: pointer;

            @include tabletScreen {
                padding: 10px 20px;
                gap: 24px;
            }

            &.active {
                border-color: #7660FE;

                .select {
                    border-color: #7660FE;
                    padding: 5px;

                    &::after {
                        width: 100%;
                        height: 100%;
                        border-radius: 100%;
                        background-color: #7660FE;
                        display: block;
                        content: '';
                    }
                }
            }

            .select {
                flex: 0 0 26px;

                width: 26px;
                height: 26px;
                border-radius: 100%;
                border: 1px solid #D0D0D0;
            }

            .info {
                flex: 1;

                .name {
                    font-weight: 600;
                    font-size: 16px;
                    line-height: 24px;
                    color: $dark-color;
                }

                .description {
                    font-weight: 500;
                    font-size: 13px;
                    line-height: 17px;
                    color: #757688;
                    margin-top: 8px;
                }
            }

            .icon {
                flex: 0 0 50px;

                svg {
                    width: 50px;
                    height: 50px;
                    display: block;
                }
            }

            &:not(:first-child) {
                margin-top: 16px;
            }
        }
    }

    &.error {
        .item {
            border-color: #F54135;
        }

        .feedback {
            color: #f33060;
            font-size: 10px;
            line-height: 18px;
            margin-left: 15px;
        }
    }
}